/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2008/12/30)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur :
 *
 * Plugin FCKeditor
 * Version  : 4.6.4.2.6.3 (2008/12/23)
 * Compatibility : Guppy v4.6.x
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
 
/**
*  	init
*  	redimensionne la fentre
*  	@param nameform   string le nom du formulaire contenant le code rcupr (attribut name de <form>)
*  	@param namesubmit string le nom du bouton permettant d'envoyer le formulaire (attribut name de <input type="submit">)
**/
function initDocument(nameform, namesubmit)
{
	var left = (screen.width - 300) / 2;
	var  top = (screen.height - 180) / 2;
    window.moveTo(left, top);
	window.resizeTo(350, 180);
 	document.forms[nameform].elements[namesubmit].focus();
};

/**
*  	formSubmit
*  	envoie du code vers le textarea de guppy
*  	@param nameform           string le nom du formulaire contenant le code rcupr (attribut name de <form>)
*  	@param nametextarea       string le nom du textarea contenant le code rcupr (attribut name de <textarea>)
*  	@param nameformOpener     string le nom du formulaire de la fentre parent contenant le code  rcuprer (attribut name de <form>)
*  	@param nametextareaOpener string le nom du textarea de la fentre parent contenant le code  rcuprer (attribut name de <textarea>)
**/
function formSubmit(nameform, nametextarea, nameformOpener, nametextareaOpener)
{
	if (window.opener.document.forms[nameformOpener].elements[nametextareaOpener]) {
		window.opener.document.forms[nameformOpener].elements[nametextareaOpener].value = document.forms[nameform].elements[nametextarea].value;
		self.close();
		return true;
	} else {
		alert("Error: window.opener.document.forms is not defined");
		return false;		
	}
}

/**
*  	formSubmit
*  	redimensionne et retourne dans la page de l\'diteur FCKeditor
*  	@param pathEditor         string le chemin de l'diteur
*  	@param lang               string la langue de l'diteur
*  	@param nameform           string le nom du formulaire contenant le code  rcuprer (attribut name de <form>)
*  	@param nametextarea       string le nom du textarea contenant le code  rcuprer (attribut name de <textarea>)
*  	@param nameformOpener     string le nom du formulaire de la fentre parent qui va rcupr le code (attribut name de <form>)
*  	@param nametextareaOpener string le nom du textarea de la fentre parent qui va rcupr le code (attribut name de <textarea>)
**/
function goback(pathEditor, lang, nameform, nametextarea, nameformOpener, nametextareaOpener)
{
	if (window.opener.document.forms[nameformOpener].elements[nametextareaOpener]) {
		window.opener.document.forms[nameformOpener].elements[nametextareaOpener].value = document.forms[nameform].elements[nametextarea].value;
		var left = (screen.width - 630) / 2;
		var  top = (screen.height - 560) / 2;
    	window.moveTo(left, top);
    	window.resizeTo(630, 560);
		document.location.replace(pathEditor + "editorFCK.php?lng=" + lang + "&nameform=" + nameformOpener + "&nametextarea=" + nametextareaOpener);
	} else {
		alert("Error: window.opener.document.forms is not defined");
		return false;		
	}
}    
